'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var possibleModuleNames = ['electron', 'electron-prebuilt', 'electron-prebuilt-compile'];

var locateElectronPrebuilt = function locateElectronPrebuilt() {
  var electronPath = undefined;

  // Attempt to locate modules by path
  var foundModule = possibleModuleNames.some(function (moduleName) {
    electronPath = _path2['default'].join(__dirname, '..', '..', moduleName);
    return _fs2['default'].existsSync(electronPath);
  });

  // Return a path if we found one
  if (foundModule) return electronPath;

  // Attempt to locate modules by require
  foundModule = possibleModuleNames.some(function (moduleName) {
    try {
      electronPath = _path2['default'].join(require.resolve(moduleName), '..');
    } catch (e) {
      return false;
    }
    return _fs2['default'].existsSync(electronPath);
  });

  // Return a path if we found one
  if (foundModule) return electronPath;
  return null;
};
exports.locateElectronPrebuilt = locateElectronPrebuilt;